Package htsjdk.samtools.cram.encoding.readfeatures

# Interface ReadFeature

All Known Implementing Classes:
  `BaseQualityScore`, `Bases`, `Deletion`, `HardClip`, `InsertBase`, `Insertion`, `Padding`, `ReadBase`, `RefSkip`, `Scores`, `SoftClip`, `Substitution`

public interface ReadFeature
An interface to capture data in read coordinates.

## Method Summary

Modifier and Type
Method
Description
`byte`
`getOperator()`
Read features are distinguished by operator, similar to cigar operator.
`int`
`getPosition()`

## Method Details

### getPosition

int getPosition()

Returns:
  zero-based position in the read

### getOperator

byte getOperator()
Read features are distinguished by operator, similar to cigar operator.

Returns:
  type of the read feature